#!/usr/bin/python

def fulltext_from_filelist(filelistname, onlystatus = ""):
    fulltext = ""
    with open(filelistname, "r") as f:
        infilename = f.readline().rstrip("\n")
        while infilename:
            with open(infilename, "r") as ftext:
                addtext = ftext.read()
                # info = yaml.load(addtext[addtext.find("---")+3:addtext.find("---", 5)])
                takeit = True
                '''if onlystatus:
                    takeit = False
                    if "status" in info:
                        if info["status"] == onlystatus:
                            takeit = True'''
                if takeit:
                    fulltext += addtext[addtext.find("---", 5)+3:len(addtext)] + "\n"
            infilename = f.readline().rstrip("\n")
    return fulltext

deliverable_description = fulltext_from_filelist("filelist_D4-8.txt")

with open("Deliverable_4-8.md", "w") as f:
    f.write(deliverable_description)

deliverable_manuals = fulltext_from_filelist("filelist_D4-9.txt")

with open("Deliverable_4-9.md", "w") as f:
    f.write(deliverable_manuals)

    
